USE [COWS]
GO

/****** Object:  StoredProcedure [tmp].[DELETEEventsByEVENT_ID]    Script Date: 12/09/2014 13:51:36 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO



---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

---- =============================================
---- Author:		Md. Mahmud Monir
---- Create date:   12/09/2014
---- Description:	This SP is used to Single DELETE the EVENTS by EVENT_ID ..
---- =============================================


ALTER PROCEDURE [tmp].[DELETEEventsByEVENT_ID](
	 @NoOfOrdrDlt   int
	)
AS
--DECLARE @NoOfOrdrDlt Int
--SET @NoOfOrdrDlt=1
/* 
SP  DELETEBatchEvents
All The Events will be deleted base on criteria COWS.dbo.Event WITH (NOLOCK) Where SCURD_CD=1
The parameter is there for you to set How many records you want to delete per batch Example Records
In table is 500   and if your parameter is 100  it means it will delete 100 record per loop
This SP Calls
 SP [CheckDeleteTime]  to check the Time Constraint You set in the  COWS Table
SELECT *  FROM [COWS].[dbo].[LK_SYS_CFG] WITH (NOLOCK) WHERE cfg_id in (63,64)
It Will Also Call 
SP  [OrdersEvents_DisableEnabledCONSTRAINTS]   to Disable and Enable Constraints
On Related Tables so that we can execute delete.
It Will Eventually Call 
SP   DELETEEventsByEVENT_ID  for actual Operation. Which Deletes data as a whole batch  base on the parameter value  it receives
SP uses Proper Error Trapping and  Transactions So that for any failure it will either Rollback
Transaction

*/
BEGIN

	SET NOCOUNT ON;
	SET	DEADLOCK_PRIORITY	10;
	PRINT 'started [COWS].[DELETEEventsByEVENT_ID] SP'


	PRINT '*********************************************************************************'
	PRINT '****************         BEGIN DELETE PROCESS                  ******************'
	PRINT '*********************************************************************************'

	PRINT ''
	PRINT 'Begin Defining Variables at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)
			
	DECLARE     @XMNCPONTableBATCH   TABLE(
				ID			INT IDENTITY(1,1),
				EVENT_ID		Int
	)
	PRINT 'Start Loading @XMNCPONTableBATCH at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)
	INSERT INTO @XMNCPONTableBATCH     (EVENT_ID)	
	EXEC ('Select Top '+@NoOfOrdrDlt+' EVENT_ID FROM COWS.dbo.EVENT WITH (NOLOCK) Where SCURD_CD=1 ORDER BY EVENT_ID ASC')
		
	PRINT 'End Defining Variables at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)
	PRINT ''
		
		
	PRINT 'Begin Taking Temp Data into Variables at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)
		

		
	DECLARE @Ctr	INT
	SET		@Ctr	= 0
	SELECT  @CTr	= COUNT(1) FROM @XMNCPONTableBATCH
	/*
	IF @Ctr = 0
	BEGIN
		Select @List= LTRIM(RTRIM(LTN)) FROM @NPR	
	END
	*/
	PRINT 'End Taking Temp Data into Variables at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
	PRINT ''
	BEGIN TRANSACTION
	
		BEGIN TRY	
		IF	@Ctr > 0
		BEGIN 
			PRINT '*********************************************************************************'
			PRINT '****************         BEGIN DELETE PROCESS COWS          *********************'
			PRINT '*********************************************************************************'
			PRINT 'Begin Deleting the records at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)
			/*
			PRINT 'Starting to execute frmLSR UPDATE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			UPDATE [COWS].[dbo].[NCCO_ORDR]						WITH(ROWLOCK)	SET EVENT_ID	= NULL	WHERE EVENT_ID IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing frmLSR UPDATE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			
			*/

			PRINT 'Starting to execute [AccessDelivery] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[cnv].AccessDelivery			WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [AccessDelivery] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [AD_EVENT_ACCS_TAG] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].AD_EVENT_ACCS_TAG				WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [AD_EVENT_ACCS_TAG] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [AD_EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].AD_EVENT				WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [AD_EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [APPT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].APPT					WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [APPT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			--PRINT 'Starting to execute [CAND_RELTD_EVENTS] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			--DELETE FROM [COWS].[dbo].CAND_RELTD_EVENTS				WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			--PRINT 'Finished executing [CAND_RELTD_EVENTS] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [EMAIL_REQ] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].EMAIL_REQ				WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [EMAIL_REQ] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			--PRINT 'Starting to execute [EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			--DELETE FROM [COWS].[dbo].EVENT		WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			--PRINT 'Finished executing [EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [EVENT_ASN_TO_USER] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].EVENT_ASN_TO_USER				WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [EVENT_ASN_TO_USER] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [EVENT_FAIL_ACTY] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].EVENT_FAIL_ACTY  WITH(ROWLOCK)	WHERE EVENT_HIST_ID IN ( SELECT EVENT_HIST_ID FROM  EVENT_HIST WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [EVENT_FAIL_ACTY] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [EVENT_SUCSS_ACTY] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].EVENT_SUCSS_ACTY  WITH(ROWLOCK)	WHERE EVENT_HIST_ID IN ( SELECT EVENT_HIST_ID FROM  EVENT_HIST WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [EVENT_SUCSS_ACTY] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [FEDLINE_REQ_ACT_HIST] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].FEDLINE_REQ_ACT_HIST  WITH(ROWLOCK)	WHERE EVENT_HIST_ID IN ( SELECT EVENT_HIST_ID FROM  EVENT_HIST WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [FEDLINE_REQ_ACT_HIST] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [EVENT_HIST] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].EVENT_HIST    WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [EVENT_HIST] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [EVENT_NVLD_TME_SLOT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].EVENT_NVLD_TME_SLOT    WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [EVENT_NVLD_TME_SLOT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [EVENT_REC_LOCK] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].EVENT_REC_LOCK			WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [EVENT_REC_LOCK] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			IF EXISTS(SELECT TOP 1 FEDLINE_EVENT_ID FROM FEDLINE_EVENT_TADPOLE_DATA WITH(NOLOCK)) OR EXISTS(SELECT TOP 1 EVENT_ID FROM FEDLINE_EVENT_USER_DATA WITH(NOLOCK))
			BEGIN
				/*
				PRINT 'Starting to execute [FEDLINE_EVENT_PRCS] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
				DELETE FROM [COWS].[dbo].FEDLINE_EVENT_PRCS			WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
				PRINT 'Finished executing [FEDLINE_EVENT_PRCS] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
				PRINT 'Starting to execute [FEDLINE_EVENT_CFGRN_DATA] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
				DELETE FROM [COWS].[dbo].FEDLINE_EVENT_CFGRN_DATA			WITH(ROWLOCK) WHERE FEDLINE_EVENT_ID IN ( SELECT FEDLINE_EVENT_ID FROM FEDLINE_EVENT_TADPOLE_DATA 	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH))
				PRINT 'Finished executing [FEDLINE_EVENT_CFGRN_DATA] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
				PRINT 'Starting to execute [FEDLINE_EVENT_MSG] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
				DELETE FROM [COWS].[dbo].FEDLINE_EVENT_MSG			WITH(ROWLOCK) WHERE FEDLINE_EVENT_ID IN ( SELECT FEDLINE_EVENT_ID FROM FEDLINE_EVENT_TADPOLE_DATA 	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH))
				PRINT 'Finished executing [FEDLINE_EVENT_MSG] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
				PRINT 'Starting to execute [FEDLINE_EVENT_ADR] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
				DELETE FROM [COWS].[dbo].FEDLINE_EVENT_ADR			WITH(ROWLOCK) WHERE FEDLINE_EVENT_ID IN ( SELECT FEDLINE_EVENT_ID FROM FEDLINE_EVENT_TADPOLE_DATA 	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH))
				PRINT 'Finished executing [FEDLINE_EVENT_ADR] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'	
				PRINT 'Starting to execute [FEDLINE_EVENT_CNTCT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
				DELETE FROM [COWS].[dbo].FEDLINE_EVENT_CNTCT			WITH(ROWLOCK) WHERE FEDLINE_EVENT_ID IN ( SELECT FEDLINE_EVENT_ID FROM FEDLINE_EVENT_TADPOLE_DATA 	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH))
				PRINT 'Finished executing [FEDLINE_EVENT_CNTCT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
				PRINT 'Starting to execute [FEDLINE_EVENT_TADPOLE_DATA] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
				DELETE FROM [COWS].[dbo].FEDLINE_EVENT_TADPOLE_DATA			WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
				PRINT 'Finished executing [FEDLINE_EVENT_TADPOLE_DATA] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
				--PRINT 'Starting to execute [FEDLINE_EVENT_TADPOLE_XML] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
				--DELETE FROM [COWS].[dbo].FEDLINE_EVENT_TADPOLE_XML			WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
				--PRINT 'Finished executing [FEDLINE_EVENT_TADPOLE_XML] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
				PRINT 'Starting to execute [FEDLINE_EVENT_USER_DATA] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
				DELETE FROM [COWS].[dbo].FEDLINE_EVENT_USER_DATA		WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
				PRINT 'Finished executing [FEDLINE_EVENT_USER_DATA] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
				PRINT 'Starting to execute [FEDLINE_REQ_ACT_HIST] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
				DELETE FROM [COWS].[dbo].FEDLINE_REQ_ACT_HIST			WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
				PRINT 'Finished executing [FEDLINE_REQ_ACT_HIST] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
				*/
				TRUNCATE TABLE [COWS].[dbo].FEDLINE_EVENT_PRCS
				TRUNCATE TABLE [COWS].[dbo].FEDLINE_EVENT_CFGRN_DATA
				TRUNCATE TABLE [COWS].[dbo].FEDLINE_EVENT_MSG
				TRUNCATE TABLE [COWS].[dbo].FEDLINE_EVENT_ADR
				TRUNCATE TABLE [COWS].[dbo].FEDLINE_EVENT_CNTCT
				TRUNCATE TABLE [COWS].[dbo].FEDLINE_EVENT_TADPOLE_XML
				TRUNCATE TABLE [COWS].[dbo].FEDLINE_EVENT_USER_DATA
				TRUNCATE TABLE [COWS].[dbo].FEDLINE_REQ_ACT_HIST
				TRUNCATE TABLE [COWS].[dbo].FEDLINE_EVENT_PRCS
				DELETE         [COWS].[dbo].FEDLINE_EVENT_TADPOLE_DATA
			END
			PRINT 'Starting to execute [MDS_EVENT_ACCS] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_ACCS     WITH(ROWLOCK)	WHERE FSA_MDS_EVENT_ID IN ( SELECT FSA_MDS_EVENT_ID FROM  FSA_MDS_EVENT WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [MDS_EVENT_ACCS] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_CPE ] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_CPE     WITH(ROWLOCK)	WHERE FSA_MDS_EVENT_ID IN ( SELECT FSA_MDS_EVENT_ID FROM  FSA_MDS_EVENT WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [MDS_EVENT_CPE ] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_DSL_TRPT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_DSL_TRPT     WITH(ROWLOCK)	WHERE FSA_MDS_EVENT_ID IN ( SELECT FSA_MDS_EVENT_ID FROM  FSA_MDS_EVENT WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [MDS_EVENT_DSL_TRPT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_FMS_CKT ] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_FMS_CKT     WITH(ROWLOCK)	WHERE FSA_MDS_EVENT_ID IN ( SELECT FSA_MDS_EVENT_ID FROM  FSA_MDS_EVENT WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [MDS_EVENT_FMS_CKT ] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_MNGD_DEV] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_MNGD_DEV     WITH(ROWLOCK)	WHERE FSA_MDS_EVENT_ID IN ( SELECT FSA_MDS_EVENT_ID FROM  FSA_MDS_EVENT WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [MDS_EVENT_MNGD_DEV] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_MNS] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_MNS     WITH(ROWLOCK)	WHERE FSA_MDS_EVENT_ID IN ( SELECT FSA_MDS_EVENT_ID FROM  FSA_MDS_EVENT WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [MDS_EVENT_MNS] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_MNS_OE] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_MNS_OE     WITH(ROWLOCK)	WHERE FSA_MDS_EVENT_ID IN ( SELECT FSA_MDS_EVENT_ID FROM  FSA_MDS_EVENT WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [MDS_EVENT_MNS_OE] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_ODIE_DEV_NME] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_ODIE_DEV_NME     WITH(ROWLOCK)	WHERE FSA_MDS_EVENT_ID IN ( SELECT FSA_MDS_EVENT_ID FROM  FSA_MDS_EVENT WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [MDS_EVENT_ODIE_DEV_NME] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_PVC] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_PVC     WITH(ROWLOCK)	WHERE FSA_MDS_EVENT_ID IN ( SELECT FSA_MDS_EVENT_ID FROM  FSA_MDS_EVENT WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [MDS_EVENT_PVC] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_SPAE_TRPT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_SPAE_TRPT     WITH(ROWLOCK)	WHERE FSA_MDS_EVENT_ID IN ( SELECT FSA_MDS_EVENT_ID FROM  FSA_MDS_EVENT WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [MDS_EVENT_SPAE_TRPT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_SPRINT_LINK_ATM_TRPT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_SPRINT_LINK_ATM_TRPT     WITH(ROWLOCK)	WHERE FSA_MDS_EVENT_ID IN ( SELECT FSA_MDS_EVENT_ID FROM  FSA_MDS_EVENT WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [MDS_EVENT_SPRINT_LINK_ATM_TRPT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_VLAN] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_VLAN     WITH(ROWLOCK)	WHERE FSA_MDS_EVENT_ID IN ( SELECT FSA_MDS_EVENT_ID FROM  FSA_MDS_EVENT WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [MDS_EVENT_VLAN] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_VRTL_CNCTN] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_VRTL_CNCTN     WITH(ROWLOCK)	WHERE FSA_MDS_EVENT_ID IN ( SELECT FSA_MDS_EVENT_ID FROM  FSA_MDS_EVENT WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [MDS_EVENT_VRTL_CNCTN] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_WIRED_TRNSPRT_DEV] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_WIRED_TRNSPRT_DEV     WITH(ROWLOCK)	WHERE FSA_MDS_EVENT_ID IN ( SELECT FSA_MDS_EVENT_ID FROM  FSA_MDS_EVENT WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [MDS_EVENT_WIRED_TRNSPRT_DEV] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_WIRED_TRPT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_WIRED_TRPT     WITH(ROWLOCK)	WHERE FSA_MDS_EVENT_ID IN ( SELECT FSA_MDS_EVENT_ID FROM  FSA_MDS_EVENT WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [MDS_EVENT_WIRED_TRPT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_WRLS_TRNSPRT_DEV] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_WRLS_TRNSPRT_DEV     WITH(ROWLOCK)	WHERE FSA_MDS_EVENT_ID IN ( SELECT FSA_MDS_EVENT_ID FROM  FSA_MDS_EVENT WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )
			PRINT 'Finished executing [MDS_EVENT_WRLS_TRNSPRT_DEV] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_WRLS_TRPT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_WRLS_TRPT     WITH(ROWLOCK)	WHERE FSA_MDS_EVENT_ID IN ( SELECT FSA_MDS_EVENT_ID FROM  FSA_MDS_EVENT WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) )		
			PRINT 'Finished executing [MDS_EVENT_WRLS_TRPT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [ODIE_RSPN_INFO] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].ODIE_RSPN_INFO				WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [ODIE_RSPN_INFO] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			
			PRINT 'Starting to execute [FSA_MDS_EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].FSA_MDS_EVENT    WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [FSA_MDS_EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [FSA_MDS_EVENT_NEW] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].FSA_MDS_EVENT_NEW			WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [FSA_MDS_EVENT_NEW] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [FSA_MDS_EVENT_ORDR] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].FSA_MDS_EVENT_ORDR				WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [FSA_MDS_EVENT_ORDR] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [L2P_LOG] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].L2P_LOG		WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [L2P_LOG] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT			WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [MDS_EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_DISCO] UPDATE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			UPDATE [COWS].[dbo].MDS_EVENT_DISCO	 WITH(ROWLOCK) SET EVENT_ID=NULL	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [MDS_EVENT_DISCO] UPDATE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_LOC] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_LOC				WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [MDS_EVENT_LOC] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_MAC_ACTY] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_MAC_ACTY			WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [MDS_EVENT_MAC_ACTY] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_EVENT_NEW] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_NEW			WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [MDS_EVENT_NEW] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_MNGD_ACT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_MNGD_ACT		WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [MDS_MNGD_ACT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDS_MNGD_ACT_NEW] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_MNGD_ACT_NEW			WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [MDS_MNGD_ACT_NEW] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDSEvent] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[cnv].MDSEvent		WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [MDSEvent] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MDSFastTrack] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[cnv].MDSFastTrack				WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [MDSFastTrack] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MPLS_EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MPLS_EVENT				WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [MPLS_EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MPLS_EVENT_ACCS_TAG] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MPLS_EVENT_ACCS_TAG					WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [MPLS_EVENT_ACCS_TAG] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MPLS_EVENT_ACTY_TYPE] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MPLS_EVENT_ACTY_TYPE				WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [MPLS_EVENT_ACTY_TYPE] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MPLS_EVENT_VAS_TYPE] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MPLS_EVENT_VAS_TYPE			WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [MPLS_EVENT_VAS_TYPE] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [MPLSEvent] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[cnv].MPLSEvent				WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [MPLSEvent] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [NGVN_EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].NGVN_EVENT				WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [NGVN_EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [NGVN_EVENT_CKT_ID_NUA] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].NGVN_EVENT_CKT_ID_NUA				WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [NGVN_EVENT_CKT_ID_NUA] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [NGVN_EVENT_SIP_TRNK] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].NGVN_EVENT_SIP_TRNK			WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [NGVN_EVENT_SIP_TRNK] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [NGVNEvent] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[cnv].NGVNEvent			WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [NGVNEvent] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [owssvr$] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].owssvr$				WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [owssvr$] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			--PRINT 'Starting to execute [RELTD_EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			--DELETE FROM [COWS].[dbo].RELTD_EVENT				WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			--PRINT 'Finished executing [RELTD_EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [SPLK_EVENT_ACCS] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].SPLK_EVENT_ACCS			WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [SPLK_EVENT_ACCS] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [SPLK_EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].SPLK_EVENT			WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [SPLK_EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			
			PRINT 'Starting to execute [SprintLink] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[cnv].SprintLink				WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [SprintLink] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			
			PRINT 'Starting to execute [ODIE_REQ] UPDATE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			UPDATE [COWS].[dbo].ODIE_REQ  WITH(ROWLOCK)	SET MDS_EVENT_ID=NULL  WHERE MDS_EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH) 
			PRINT 'Finished executing [ODIE_REQ] UPDATE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			PRINT 'Starting to execute [WFHistory] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[cnv].WFHistory			WITH(ROWLOCK)	WHERE [Event ID]	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [WFHistory] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			
			PRINT 'Starting to execute [WFHistory] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].MDS_EVENT_FORM_CHNG			WITH(ROWLOCK)	WHERE MDS_EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [WFHistory] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
			
			PRINT 'Starting to execute [EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9)
			DELETE FROM [COWS].[dbo].EVENT		WITH(ROWLOCK)	WHERE EVENT_ID	IN	(SELECT EVENT_ID FROM	@XMNCPONTableBATCH)
			PRINT 'Finished executing [EVENT] DELETE at: ' +  CONVERT(VARCHAR(30), GETDATE(), 9) + '. Impacted Rows: ' + CONVERT(VARCHAR(50),@@ROWCOUNT) + '.'
					
			PRINT ''
			PRINT 'End Deleting the records at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)
			PRINT ''

			PRINT '*********************************************************************************'
			PRINT '****************         END DELETE PROCESS COWS            ******************'
			PRINT '*********************************************************************************'

		
			PRINT ''
			PRINT 'End Deleting the records at: ' + CONVERT(VARCHAR(30), GETDATE(), 9)
			PRINT ''

		END

		PRINT 'Total number of EVENT Records removed = ' + CONVERT(VARCHAR(5), @Ctr)
		PRINT ''
		
		

		PRINT '*********************************************************************************'
		PRINT '****************         END DELETE PROCESS                    ******************'
		PRINT '*********************************************************************************'

	END TRY
	BEGIN CATCH
		print XACT_STATE()
		print @@TRANCOUNT
		IF (XACT_STATE()) <> 0 
		BEGIN
			ROLLBACK TRANSACTION;
			Print 'Error: Transaction RollBack No Operation Perform'
			Print 'Check Error Select TOP 10 * FROM dbo.SQL_ERROR WITH (NOLOCK)  order by SQL_Error_ID DESC'
		END
		SET DEADLOCK_PRIORITY -5; 
		EXEC [dbo].[insertErrorInfo]
	END CATCH;

	IF @@TRANCOUNT > 0
		COMMIT TRANSACTION;
END




GO


